Bug 107467 - Switching from GUI to Console Mode causes screen to be garbled
Switching from GUI to Console Mode causes screen to be garbled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-18 14:13 EDT by Marcus O. White
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 03:39:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcus O. White 2003-10-18 14:13:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 7.21  [en]

Description of problem:
While in KDE GUI and pressing Ctrl-Alt-F1 to go to console mode causes the 
screen to be garbled. Alt-F7 restores the GUI normally. This is with a Dell 
Latitude Laptop with the NVidia GeForce 4 adapter, using the stock "nv" driver 
that comes with XFree. The resolution is set to 1280x1024.

Version-Release number of selected component (if applicable):
XFree86-4.3.0-40

How reproducible:
Always

Steps to Reproduce:
1. Start GUI either using startx or init 5
2. Press Ctrl-Alt-F1
3. Garbled screen on display
4. Alt-F7 restores GUI
    

Actual Results:  Garbled screen on laptop display

Expected Results:  Readable text on display

Additional info:

lspci reports the adapter as:

01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 440 Go] 
(rev a3)
Comment 1 Marcus O. White 2003-10-24 23:11:04 EDT
FWIW... The "work-a-round" is to install the latest nvidia drivers from the 
manufacturer (ie NVIDIA-Linux-x86-1.0-4496-pkg2.run). This driver provides the 
proper behaviour when switching to console mode and back.
Comment 2 Γ‰ric Tremblay 2004-01-12 01:10:42 EST
This seems to be a bug in XFree 4.3 - i'm running a standard i686 PC
with a Geforce3 TI, and i'm having the same problem with console mode.
I use VESA framebuffer 1024x768 16bpp for console (lilo boot param
"vga=791") and the latest drivers from nvidia.com, currently
"NVIDIA-Linux-x86-1.0-5328-pkg1.run".

The only way to get console back to usable state without rebooting, is
to run a bare X server in 1024x768 16bpp (the mode that matches my
console mode) and "kill -9" it forcing the screen to be left in this mode.
Comment 3 Mike A. Harris 2004-01-12 11:23:46 EST
Please test to make sure this problem occurs in the final
Fedora Core 1 OS release (this is reported against the beta).

Assuming you've done that, please report this problem directly to
XFree86.org via their bugzilla, located at http://bugs.xfree86.org
so that the upstream "nv" driver maintainer (an Nvidia employee)
is aware of the issue and may investigate and/or comment on it.

Nvidia does not make the documentation for their hardware
available to the open source community, and the driver source
code is developed intentionally in a way that is totally
obfuscated in a way that makes it more or less impossible for
someone to fix bugs in it who is not an Nvidia employee with
access to the technical specifications.

Once you have reported your bug upstream, please paste the URL
to the upstream bug report here, and I will track the issue
upstream, and investigate any bug fixes that are developed, and
consider them for inclusion in future updates.
Comment 4 Mike A. Harris 2004-10-12 03:39:58 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.